"""This module contains the factories of the ``sync`` app"""

import factory

from .models import (
    ClientVersion, LocalServer,
    LocalServerConnection,
    ServerVersion, Task,
    Update,
)


class UpdateFactory(factory.django.DjangoModelFactory):
    """Factory for the ``Update`` django model"""

    class Meta:
        model = Update


class LocalServerFactory(factory.django.DjangoModelFactory):
    """Factory for the ``LocalServer`` django model"""

    class Meta:
        model = LocalServer


class LocalServerConnectionFactory(factory.django.DjangoModelFactory):
    """Factory for the ``LocalServerConnection`` django model"""

    class Meta:
        model = LocalServerConnection


class ServerVersionFactory(factory.django.DjangoModelFactory):
    """Factory for the ``ServerVersion`` django model"""

    class Meta:
        model = ServerVersion


class ClientVersionFactory(factory.django.DjangoModelFactory):
    """Factory for the ``ClientVersion`` django model"""

    class Meta:
        model = ClientVersion


class TaskFactory(factory.django.DjangoModelFactory):
    """Factory for the ``Task`` django model"""

    class Meta:
        model = Task
